# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "qtty-core"
version = "0.2.0"
authors = ["VPRamon <vallespuigramon@gmail.com>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Core types for zero-cost strongly-typed physical quantities."
documentation = "https://docs.rs/qtty-core"
readme = "README.md"
keywords = [
    "astronomy",
    "quantities",
    "science",
]
categories = [
    "science",
    "aerospace",
]
license = "AGPL-3.0"
repository = "https://github.com/Siderust/qtty"

[features]
default = ["std"]
serde = ["dep:serde"]
std = []

[lib]
name = "qtty_core"
path = "src/lib.rs"

[dependencies.libm]
version = "0.2"

[dependencies.qtty-derive]
version = "0.1.0"

[dependencies.serde]
version = "1.0"
features = ["derive"]
optional = true
default-features = false

[dev-dependencies.approx]
version = "0.5"

[dev-dependencies.proptest]
version = "1.4"

[dev-dependencies.serde_json]
version = "1.0"
